package com.flyfish.framework.constant;

import com.flyfish.framework.config.FrameworkConfiguration;

import java.util.function.Supplier;

/**
 * 框架静态配置
 *
 * @author wangyu
 */
public interface Frameworks {

    FrameworkConfiguration config = new FrameworkConfiguration();

    static FrameworkConfiguration resultStyle() {
        return config.resultStyle();
    }

    static FrameworkConfiguration shortPassword() {
        return config.shortPassword();
    }

    static FrameworkConfiguration debug() {
        return config.debug();
    }

    static FrameworkConfiguration codeSupplier(Supplier<String> codeSupplier) {
        return config.codeSupplier(codeSupplier);
    }

    static String getCode() {
        if (null != config.getCodeSupplier()) {
            return config.getCodeSupplier().get();
        }
        return null;
    }


}
